Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.message
Class JBossObjectMessage

    java.lang.Object
      org.jboss.messaging.core.message.RoutableSupport
          org.jboss.messaging.core.message.MessageSupport
              org.jboss.jms.message.JBossMessage
                  org.jboss.jms.message.JBossObjectMessage

All Implemented Interfaces:
  java.io.Externalizable, Message, Routable, java.io.Serializable

public class JBossObjectMessage
extends JBossMessage

This class implements javax.jms.ObjectMessage

Version:
  $Revision: 1.21 $ $Id: JBossObjectMessage.java,v 1.21 2006/04/20 20:42:25 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`static byte` | `TYPE`

Fields inherited from class org.jboss.jms.message.JBossMessage
`connectionID, correlationID, correlationIDBytes, destination, jmsMessageID, jmsType, properties, replyToDestination`

Fields inherited from class org.jboss.messaging.core.message.RoutableSupport
`BOOLEAN, BYTE, BYTES, deliveryCount, DOUBLE, expiration, FLOAT, headers, INT, LIST, LONG, MAP, messageID, NULL, OBJECT, priority, redelivered, reliable, SHORT, STRING, timestamp`

Fields inherited from interface org.jboss.messaging.core.Routable
`COLLECTOR_ID, REMOTE_ROUTABLE, REPLICATOR_ID`

Constructor Summary
`JBossObjectMessage()` Only deserialization should use this constructor directory
`JBossObjectMessage(JBossObjectMessage other)` Make a shallow copy of another JBossObjectMessage
`JBossObjectMessage(long messageID)`
`JBossObjectMessage(long messageID, boolean reliable, long expiration, long timestamp, byte priority, java.util.Map coreHeaders, byte[] payloadAsByteArray, int persistentChannelCount, java.lang.String jmsType, java.lang.String correlationID, byte[] correlationIDBytes, JBossDestination destination, JBossDestination replyTo, java.util.HashMap jmsProperties)`
`JBossObjectMessage(ObjectMessage foreign, long id)` A copy constructor for non-JBoss Messaging JMS ObjectMessages.

Method Summary
`JBossMessage` | `doShallowCopy()`
`java.io.Serializable` | `getObject()`
`byte` | `getType()`
`void` | `setObject(java.io.Serializable object)`

Methods inherited from class org.jboss.jms.message.JBossMessage
`acknowledge, clearBody, clearProperties, copyPayload, createThinDelegate, doAfterSend, dump, getBooleanProperty, getByteProperty, getConnectionID, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSProperties, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, isCorrelationIDBytes, isReference, propertyExists, readDestination, readExternal, setBooleanProperty, setByteProperty, setConnectionID, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSProperties, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setMessageId, setObjectProperty, setShortProperty, setStringProperty, toString, writeDestination, writeExternal`

Methods inherited from class org.jboss.messaging.core.message.MessageSupport
`clearPayloadAsByteArray, copyPayloadAsByteArrayToPayload, decPersistentChannelCount, equals, getHeaders, getMessage, getPayload, getPayloadAsByteArray, getPersistentChannelCount, hashCode, incPersistentChannelCount, readPayloadExternal, setPayload, writePayloadExternal`

Methods inherited from class org.jboss.messaging.core.message.RoutableSupport
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, internalReadObject, internalWriteObject, isExpired, isRedelivered, isReliable, putHeader, readList, readMap, removeHeader, setDeliveryCount, setPriority, setRedelivered, writeList, writeMap`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.messaging.core.Routable
`containsHeader, getDeliveryCount, getExpiration, getHeader, getHeaderNames, getMessageID, getPriority, getTimestamp, incrementDeliveryCount, isExpired, isRedelivered, isReliable, putHeader, removeHeader, setDeliveryCount, setPriority, setRedelivered`

Field Detail

### TYPE

    public static final byte TYPE

See Also:
  Constant Field Values

Constructor Detail

### JBossObjectMessage

    public JBossObjectMessage()

  Only deserialization should use this constructor directory

### JBossObjectMessage

    public JBossObjectMessage(long messageID)

### JBossObjectMessage

    public JBossObjectMessage(long messageID,
                              boolean reliable,
                              long expiration,
                              long timestamp,
                              byte priority,
                              java.util.Map coreHeaders,
                              byte[] payloadAsByteArray,
                              int persistentChannelCount,
                              java.lang.String jmsType,
                              java.lang.String correlationID,
                              byte[] correlationIDBytes,
                              JBossDestination destination,
                              JBossDestination replyTo,
                              java.util.HashMap jmsProperties)

### JBossObjectMessage

    public JBossObjectMessage(JBossObjectMessage other)

  Make a shallow copy of another JBossObjectMessage

Parameters:
  `other` -

### JBossObjectMessage

    public JBossObjectMessage(ObjectMessage foreign,
                              long id)
                       throws JMSException

  A copy constructor for non-JBoss Messaging JMS ObjectMessages.

Method Detail

### getType

    public byte getType()

  Overrides:
    `getType` in class `JBossMessage`

### setObject

    public void setObject(java.io.Serializable object)
                   throws JMSException

  Throws:
    `JMSException`

### getObject

    public java.io.Serializable getObject()
                                   throws JMSException

  Throws:
    `JMSException`

### doShallowCopy

    public JBossMessage doShallowCopy()

  Overrides:
    `doShallowCopy` in class `JBossMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.